Bug 18644 - Translatability: Get rid of pure template directives in translation for memberentrygen.tt
Summary: Translatability: Get rid of pure template directives in translation for membe...
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-20 10:31 UTC by Marc Véron
Modified: 2017-07-31 11:19 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18644: Get rid of template directives when translating memberentrygen.tt (6.57 KB, patch)
2017-05-20 10:33 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18644: Translatability: Get rid of pure template directives in translation for memberentrygen.tt (6.85 KB, patch)
2017-05-30 09:32 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18644: Translatability: Get rid of pure template directives in translation for memberentrygen.tt (6.93 KB, patch)
2017-06-05 20:05 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-05-20 10:31:28 UTC
Example for pure tt directives in translations:
[% UNLESS opduplicate %][% othernames | html %][% END %]
Comment 1 Marc Véron 2017-05-20 10:33:27 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2017-05-30 09:32:54 UTC
Created attachment 63839 [details] [review]
Bug 18644: Translatability: Get rid of pure template directives in translation for memberentrygen.tt

Translation for memberentrygen.tt exposes a lot of template directives
like the following:
[% UNLESS opduplicate %][% othernames | html %][% END %]
Translators should not be confronted with such code internals.

To test:
- Review code changes
- Verify that creating / editing patrons works as before
- Bonus test: Create a "language" aa-AA (perl translate create aa-AA
  from folder misc/translator, verify that lines like mentioned above
  do no longer appear in aa-AA-staff-prog.po
Comment 3 Jonathan Druart 2017-06-05 20:05:16 UTC
Created attachment 63991 [details] [review]
Bug 18644: Translatability: Get rid of pure template directives in translation for memberentrygen.tt

Translation for memberentrygen.tt exposes a lot of template directives
like the following:
[% UNLESS opduplicate %][% othernames | html %][% END %]
Translators should not be confronted with such code internals.

To test:
- Review code changes
- Verify that creating / editing patrons works as before
- Bonus test: Create a "language" aa-AA (perl translate create aa-AA
  from folder misc/translator, verify that lines like mentioned above
  do no longer appear in aa-AA-staff-prog.po

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2017-06-05 20:17:56 UTC
Trivial, skipping QA.
Comment 5 Jonathan Druart 2017-06-06 19:03:42 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 6 Fridolin SOMERS 2017-06-12 08:47:19 UTC
Pushed to 17.05.x, will be in 17.05.01
Comment 7 Katrin Fischer 2017-06-13 05:39:49 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.
Comment 8 Mason James 2017-07-31 11:19:26 UTC
Pushed to 16.05.x, for 16.05.15 release